package com.schisandra.oss.infra.basic.service.impl;

import com.schisandra.oss.infra.basic.entity.SchisandraOssUcloud;
import com.schisandra.oss.infra.basic.dao.SchisandraOssUcloudDao;
import com.schisandra.oss.infra.basic.service.SchisandraOssUcloudService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * ucloud对象存储配置表 表服务实现类
 *
 * @author landaiqing
 * @since 2024-06-02 22:27:45
 */
@Service("SchisandraOssUcloudService")
public class SchisandraOssUcloudServiceImpl implements SchisandraOssUcloudService {

    @Resource
    private SchisandraOssUcloudDao schisandraOssUcloudDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public SchisandraOssUcloud queryById(Long id) {
        return this.schisandraOssUcloudDao.selectOneById(id);
    }

    /**
     * 新增数据
     *
     * @param schisandraOssUcloud 实例对象
     * @return 实例对象
     */
    @Override
    public int insert(SchisandraOssUcloud schisandraOssUcloud) {
        return this.schisandraOssUcloudDao.insert(schisandraOssUcloud,true);
    }

    /**
     * 修改数据
     *
     * @param schisandraOssUcloud 实例对象
     * @return 实例对象
     */
    @Override
    public int update(SchisandraOssUcloud schisandraOssUcloud) {
        return this.schisandraOssUcloudDao.update(schisandraOssUcloud,true);
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Long id) {
        return this.schisandraOssUcloudDao.deleteById(id) > 0;
    }


}
